<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strBadCommand"><!--XLATESTART-->Bad command<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBadDevice"><!--XLATESTART-->Bad device<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandAborted"><!--XLATESTART-->Command aborted<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandCancelled"><!--XLATESTART-->Command cancelled<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandNotImplemented"><!--XLATESTART-->Command not implemented<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandPending"><!--XLATESTART-->Command pending<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandSuccessful"><!--XLATESTART-->Command successful<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandTimeout"><!--XLATESTART-->Command time-out<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandUnsuccessful"><!--XLATESTART-->Command unsuccessful<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCritical"><!--XLATESTART-->Critical<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs"><!--XLATESTART-->Data requested is not available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs1"><!--XLATESTART-->Data requested is more than data available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs2"><!--XLATESTART-->Data requested is less than data available<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceAlreadyExists"><!--XLATESTART-->Device already exists<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceBusy"><!--XLATESTART-->Device busy<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceDoesNot"><!--XLATESTART-->Device does not have data<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceNotYet"><!--XLATESTART-->Device unready to accept commands. Try again later.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceOutOf"><!--XLATESTART-->Device out of memory<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorMinimumWarning"><!--XLATESTART-->Error! Minimum warning threshold value cannot be greater than or equal to maximum warning threshold value.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorMinimumWarning1"><!--XLATESTART-->Error! Minimum warning threshold value cannot be greater than or equal to maximum warning threshold value.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNumberExpected"><!--XLATESTART-->"Error! Number expected for maximum warning threshold, read: " + tempUNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNumberExpected1"><!--XLATESTART-->"Error! Number expected for minimum warning threshold, read: " + tempLNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue"><!--XLATESTART-->"Error! The value given for the maximum warning threshold is not within the required range.  Value: [" + UNC + "], Range: " + LC + " to " + UC + " RPM."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue1"><!--XLATESTART-->"Error! The value given for the minimum warning threshold is not within the required range.  Value: [" + LNC + "], Range: " + LC + " to " + UC + " RPM."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue2"><!--XLATESTART-->"Error! The value given for the minimum warning threshold is not within the required range.  Value: [" + LNC + "], Range: " + LC + " to " + UNC + " RPM."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue3"><!--XLATESTART-->"Error! The value given for the maximum warning threshold is not within the required range.  Value: [" + UNC + "], Range: " + LNC + " to " + UC + " RPM."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue4"><!--XLATESTART-->"Error! The value given for the maximum warning threshold is not within the required range.  Value: [" + UNC + "], Range: " + preLNC + " to " + UC + " RPM."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorUnsignedNumber"><!--XLATESTART-->"Error! Unsigned number expected for minimum warning threshold, read: " + LNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorUnsignedNumber1"><!--XLATESTART-->"Error! Unsigned number expected for maximum warning threshold, read: " + UNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber"><!--XLATESTART-->"Error! Whole number expected for maximum warning threshold, read: " + tempUNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber1"><!--XLATESTART-->"Error! Whole number expected for maximum warning threshold, read: " + tempUNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber2"><!--XLATESTART-->"Error! Whole number expected for minimum warning threshold, read: " + tempLNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber3"><!--XLATESTART-->"Error! Whole number expected for minimum warning threshold, read: " + tempLNC + "."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectAlready"><!--XLATESTART-->Fan object already exists<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectMalformed"><!--XLATESTART-->Fan object malformed, corrupt or bad<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectNot"><!--XLATESTART-->Fan object not found<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanProbes"><!--XLATESTART-->Fan Probes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIFileNot"><!--XLATESTART-->INI file not found<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIKeyDoes"><!--XLATESTART-->INI key does not exist<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIMalformedCorrupt"><!--XLATESTART-->INI malformed, corrupt or bad<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINISectionDoes"><!--XLATESTART-->INI section does not exist<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIValueMalformed"><!--XLATESTART-->INI value malformed, corrupt or bad<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInsufficientAccessRights"><!--XLATESTART-->Insufficient access rights<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidIndex"><!--XLATESTART-->Invalid index<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidParameterName"><!--XLATESTART-->Invalid parameter name or value:<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxFailureThreshold"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarningThreshold"><!--XLATESTART-->Maximum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarningThreshold1"><!--XLATESTART-->Maximum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaximumFailureThreshold"><!--XLATESTART-->Maximum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinFailureThreshold"><!--XLATESTART-->Minimum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarningThreshold"><!--XLATESTART-->Minimum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarningThreshold1"><!--XLATESTART-->Minimum Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinimumFailureThreshold"><!--XLATESTART-->Minimum Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoSuchDevice"><!--XLATESTART-->No such device<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonCritical"><!--XLATESTART-->Noncritical<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonRecoverable"><!--XLATESTART-->Nonrecoverable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOK"><!--XLATESTART-->OK<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOther"><!--XLATESTART-->Other<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOutOfMemory"><!--XLATESTART-->Out of memory<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM1"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM10"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM2"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM3"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM4"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM5"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM6"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM7"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM8"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM9"><!--XLATESTART--> RPM<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReading"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReading1"><!--XLATESTART-->Reading<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRefresh"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResourceLocked"><!--XLATESTART-->Resource locked<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSMBError"><!--XLATESTART-->SMB error<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToDefault"><!--XLATESTART-->Set to Default<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToDefault1"><!--XLATESTART-->Set to Default<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues"><!--XLATESTART-->Set to Values<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues1"><!--XLATESTART-->Set to Values<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues2"><!--XLATESTART-->Set to Values<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpuriousInterrupt"><!--XLATESTART-->Spurious Interrupt<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus1"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings"><!--XLATESTART-->Threshold Settings<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings1"><!--XLATESTART-->Threshold Settings<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings2"><!--XLATESTART-->Threshold Settings<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknown"><!--XLATESTART-->[Unknown]<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknown1"><!--XLATESTART-->[Unknown]<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLFileNot"><!--XLATESTART-->XML file not found<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLMalformedCorrupt"><!--XLATESTART-->XML malformed, corrupt or bad<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLNodeDoes"><!--XLATESTART-->XML node does not exist<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLValueMalformed"><!--XLATESTART-->XML value malformed, corrupt or bad<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
