<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strErrorBadCommand"><!--XLATESTART-->Error! Bad command.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorBadDevice"><!--XLATESTART-->Error! Bad device.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandAborted"><!--XLATESTART-->Error! Command aborted.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandCancelled"><!--XLATESTART-->Error! Command cancelled.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandNot"><!--XLATESTART-->Error! Command not implemented.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandPending"><!--XLATESTART-->Error! Command pending.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandSuccessful"><!--XLATESTART-->Error! Command successful.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandTimeout"><!--XLATESTART-->Error! Command time-out.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandUnsuccessful"><!--XLATESTART-->Error! Command unsuccessful.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested"><!--XLATESTART-->Error! Data requested is not available.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested1"><!--XLATESTART-->Error! Data requested is more than data available.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested2"><!--XLATESTART-->Error! Data requested is less than data available.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceAlready"><!--XLATESTART-->Error! Device already exists.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceBusy"><!--XLATESTART-->Error! Device busy.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceDoes"><!--XLATESTART-->Error! Device does not have data.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceNot"><!--XLATESTART-->Error! Device unready to accept commands. Try again later.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceOut"><!--XLATESTART-->Error! Device out of memory.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorFirmwareObject"><!--XLATESTART-->Error! Firmware object malformed, corrupt or bad.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorFirmwareObject1"><!--XLATESTART-->Error! Firmware object already exists.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIFile"><!--XLATESTART-->Error! INI file not found.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIKey"><!--XLATESTART-->Error! INI key does not exist.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIMalformed"><!--XLATESTART-->Error! INI malformed, corrupt or bad.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINISection"><!--XLATESTART-->Error! INI section does not exist.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIValue"><!--XLATESTART-->Error! INI value malformed, corrupt or bad.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInsufficientAccess"><!--XLATESTART-->Error! Insufficient access rights.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInvalidIndex"><!--XLATESTART-->Error! Invalid index.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInvalidParameter"><!--XLATESTART-->Error! Invalid parameter name or value.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNoFirmware"><!--XLATESTART-->Error! No Firmware on this system.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNoSuch"><!--XLATESTART-->Error! No such device.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorOutOf"><!--XLATESTART-->Error! Out of memory.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorResourceLocked"><!--XLATESTART-->Error! Resource locked.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorSMBError"><!--XLATESTART-->Error! SMB error.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorSpuriousInterrupt"><!--XLATESTART-->Error! Spurious Interrupt.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLFile"><!--XLATESTART-->Error! XML file not found.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLMalformed"><!--XLATESTART-->Error! XML malformed, corrupt, or bad.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLNode"><!--XLATESTART-->Error! XML node does not exist.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLValue"><!--XLATESTART-->Error! XML value malformed, corrupt, or bad.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFirmwareInformation"><!--XLATESTART-->Firmware Information<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strName"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strName1"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRefresh"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVersion"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVersion1"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strApplicationVersion"><!--XLATESTART-->Application<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBIOSVersion"><!--XLATESTART-->BIOS<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBackplaneFirmwareVersion"><!--XLATESTART-->Backplane firmware<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBaseboardManagementController"><!--XLATESTART-->Baseboard Management Controller<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPrimaryBP"><!--XLATESTART-->Primary Backplane version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strESMFirmwareVersion"><!--XLATESTART-->ESM firmware<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFrontPanelController"><!--XLATESTART-->Front-panel controller<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strHotPlugPCI"><!--XLATESTART-->Hot-Plug PCI Controller<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKernelVersion"><!--XLATESTART-->Kernel<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPeripheralBayBackplane"><!--XLATESTART-->Peripheral bay backplane<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerEdge2450Secondary"><!--XLATESTART-->Secondary backplane<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerSupplyParalleling"><!--XLATESTART-->Power supply paralleling board<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSensorDataRecords"><!--XLATESTART-->Sensor Data Records<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknownFirmwareVersion"><!--XLATESTART-->Unknown firmware<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSecondaryBackPlane"><!--XLATESTART-->Secondary Backplane<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRemoteAccessController"><!--XLATESTART-->Remote Access Controller firmware<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVersionInformation"><!--XLATESTART-->Version Information<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
