<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strBadCommand"><!--XLATESTART-->命令错误<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBadDevice"><!--XLATESTART-->设备故障<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandAborted"><!--XLATESTART-->命令已终止<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandCancelled"><!--XLATESTART-->命令已取消<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandNotImplemented"><!--XLATESTART-->命令未执行<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandPending"><!--XLATESTART-->命令挂起<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandSuccessful"><!--XLATESTART-->命令已成功<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandTimeout"><!--XLATESTART-->命令超时<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommandUnsuccessful"><!--XLATESTART-->命令未成功<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCritical"><!--XLATESTART-->严重<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs"><!--XLATESTART-->所请求的数据不可用<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs1"><!--XLATESTART-->所请求的数据多于可用数据<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDataRequestedIs2"><!--XLATESTART-->所请求的数据少于可用数据<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceAlreadyExists"><!--XLATESTART-->设备已存在<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceBusy"><!--XLATESTART-->设备正忙<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceDoesNot"><!--XLATESTART-->设备上没有数据<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceNotYet"><!--XLATESTART-->设备未作好接受命令的准备。稍后重试。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDeviceOutOf"><!--XLATESTART-->设备上内存不足<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorMinimumWarning"><!--XLATESTART-->错误! 最小警告阈值不得大于或等于最大警告阈值。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorMinimumWarning1"><!--XLATESTART-->错误! 最小警告阈值不得大于或等于最大警告阈值。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNumberExpected"><!--XLATESTART-->"错误! 最大警告阈值应为数字，但是显示为： " + tempUNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNumberExpected1"><!--XLATESTART-->"错误! 最小警告阈值应为数字，但是显示为：" + tempLNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue"><!--XLATESTART-->"错误! 所给出的最大警告阈值不在要求范围之内。值 [" + UNC + "]，不在 " + LC + " 至 " + UC + " 转/分范围之内。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue1"><!--XLATESTART-->"错误! 所给出的最小警告阈值不在要求范围之内。值 [" + LNC + "]，不在 " + LC + " 至 " + UC + " 转/分范围之内。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue2"><!--XLATESTART-->"错误! 所给出的最小警告阈值不在要求范围之内。值 [" + LNC + "]，不在 " + LC + " 至 " + UNC + " 转/分范围之内。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue3"><!--XLATESTART-->"错误! 所给出的最大警告阈值不在要求范围之内。值 [" + UNC + "]，不在 " + LNC + " 至 " + UC + " 转/分范围之内。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorTheValue4"><!--XLATESTART-->"错误! 所给出的最大警告阈值不在要求范围之内。值 [" + UNC + "]，不在 " + preLNC + " 至 " + UC + " 转/分范围之内。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorUnsignedNumber"><!--XLATESTART-->"错误! 最小警告阈值应为无符号的数字，但是显示为： " + LNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorUnsignedNumber1"><!--XLATESTART-->"错误! 最大警告阈值应为无符号的数字，但是显示为： " + UNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber"><!--XLATESTART-->"错误! 最大警告阈值应为整数，但是显示为： " + tempUNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber1"><!--XLATESTART-->"错误! 最大警告阈值应为整数，但是显示为： " + tempUNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber2"><!--XLATESTART-->"错误! 最小警告阈值应为整数，但是显示为： " + tempLNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorWholeNumber3"><!--XLATESTART-->"错误! 最小警告阈值应为整数，但是显示为： " + tempLNC + "。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectAlready"><!--XLATESTART-->风扇对象已存在<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectMalformed"><!--XLATESTART-->风扇对象变形、损坏或存在缺陷<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanObjectNot"><!--XLATESTART-->未找到风扇对象<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFanProbes"><!--XLATESTART-->风扇探测器<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIFileNot"><!--XLATESTART-->未找到 INI 文件<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIKeyDoes"><!--XLATESTART-->INI 密钥不存在<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIMalformedCorrupt"><!--XLATESTART-->INI 变形、损坏或存在缺陷<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINISectionDoes"><!--XLATESTART-->INI 部分不存在<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strINIValueMalformed"><!--XLATESTART-->INI 值变形、损坏或存在缺陷<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInsufficientAccessRights"><!--XLATESTART-->访问权限不足<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidIndex"><!--XLATESTART-->索引无效<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidParameterName"><!--XLATESTART-->参数名或参数值无效：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxFailureThreshold"><!--XLATESTART-->最大故障阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarningThreshold"><!--XLATESTART-->最大警告阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxWarningThreshold1"><!--XLATESTART-->最大警告阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaximumFailureThreshold"><!--XLATESTART-->最大故障阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinFailureThreshold"><!--XLATESTART-->最小故障阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarningThreshold"><!--XLATESTART-->最小警告阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinWarningThreshold1"><!--XLATESTART-->最小警告阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinimumFailureThreshold"><!--XLATESTART-->最小故障阈值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNoSuchDevice"><!--XLATESTART-->没有此类设备<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonCritical"><!--XLATESTART-->不严重<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNonRecoverable"><!--XLATESTART-->不可恢复<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOK"><!--XLATESTART-->确定<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOther"><!--XLATESTART-->其它<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOutOfMemory"><!--XLATESTART-->内存不足<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM1"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM10"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM2"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM3"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM4"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM5"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM6"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM7"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM8"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRPM9"><!--XLATESTART--> 转/分<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReading"><!--XLATESTART-->读数<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strReading1"><!--XLATESTART-->读数<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRefresh"><!--XLATESTART-->刷新<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strResourceLocked"><!--XLATESTART-->资源锁定<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSMBError"><!--XLATESTART-->SMB 错误<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToDefault"><!--XLATESTART-->设置为默认值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToDefault1"><!--XLATESTART-->设置为默认值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues"><!--XLATESTART-->设置为输入值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues1"><!--XLATESTART-->设置为输入值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSetToValues2"><!--XLATESTART-->设置为输入值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSpuriousInterrupt"><!--XLATESTART-->假中断<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus"><!--XLATESTART-->状况<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus1"><!--XLATESTART-->状况<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings"><!--XLATESTART-->阈值设置<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings1"><!--XLATESTART-->阈值设置<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strThresholdSettings2"><!--XLATESTART-->阈值设置<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknown"><!--XLATESTART-->[未知]<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strUnknown1"><!--XLATESTART-->[未知]<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLFileNot"><!--XLATESTART-->未找到 XML 文件<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLMalformedCorrupt"><!--XLATESTART-->XML 变形、损坏或存在缺陷<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLNodeDoes"><!--XLATESTART-->XML 节点不存在<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strXMLValueMalformed"><!--XLATESTART-->XML 值变形、损坏或存在缺陷<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
